Subject: Problem regarding rebuilding Cygnus user-tools and Bash
From: [email-masked] (Volker Zell)

4 Oct 1997 03:23:50 -0700
Message-ID: <199710040959.LAA14574.cygnus.gnu-win32@mailm1>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi gurus !

I have a problem relating to rebuilding all the Cygnus (b18) user-tools with

the latest collview (23.09.1997). This is what I type at the bash prompt:

vzell:/src> ./configure

Configuring for a  host.

free_tty: count < 0

*** ./configure.in has no "per-host:" line.

As you can see the hosttype is not evaluated.  

I checked some other test scripts for example:

______________________

#!/bin/sh

uname -a

______________________

vzell:/src> test_uname

vzell:/src>

No output at all. This is one of the reasons why the above configure fails.

What am I doing wrong ????

The strange thing is, whith the original b18 distribution (without 

coolview) everything worked fine. But with that bash the pipe symbol was not 

working. By the way why do german Umlauts don't work in the latest coolview 

release ?

Here is my setup:

Windows specific: 

-----------------

Windows NT 4.0

4NT 3.0 as Comspec

Lets start from 4NT command prompt:

[d:\vzell\gnuwin32\b18\user-tools]path

Path=d:\vzell\bin;d:\vzell\emacs\bin;d:\vzell\emacs\emacs-19.34\bin;d:\vzell\gnu

win32\b18\H-i386-cygwin32\bin;d:\vzell\perl\bin;d:\vzell\java\jdk1.1.4\bin;d:\vz

ell\tex\texmf-1.08\miktex\bin;d:\vzell\tex\dviwin29\bin;d:\programme\NetManage.3

2;D:\WINNT\system32;D:\WINNT;D:\ORANT\BIN;D:\ORANT\OWS21\BIN;

[d:\vzell\gnuwin32\b18\user-tools]set

CMDLINE=bash

COMPUTERNAME=TRGDPC5

ComSpec=D:\Programme\JPSoftware\4nt300\4NT.EXE

HOME=D:\vzell

HOMEDRIVE=D:

HOMEPATH=\users

LYNX_CFG=d:\vzell\lynx.cfg

NUMBER_OF_PROCESSORS=1

OS=Windows_NT

Os2LibPath=D:\WINNT\system32\os2\dll;

Path=d:\vzell\bin;d:\vzell\emacs\bin;d:\vzell\emacs\emacs-19.34\bin;d:\vzell\gnu

win32\b18\H-i386-cygwin32\bin;d:\vzell\perl\bin;d:\vzell\java\jdk1.1.4\bin;d:\vz

ell\tex\texmf-1.08\miktex\bin;d:\vzell\tex\dviwin29\bin;d:\programme\NetManage.3

2;D:\WINNT\system32;D:\WINNT;D:\ORANT\BIN;D:\ORANT\OWS21\BIN;

PROCESSOR_ARCHITECTURE=x86

PROCESSOR_IDENTIFIER=x86 Family 5 Model 7 Stepping 0, GenuineIntel

PROCESSOR_LEVEL=5

PROCESSOR_REVISION=0700

SystemDrive=D:

SystemRoot=D:\WINNT

TCL_LIBRARY=D:\ORANT\network\agent\tcl

TEMP=D:\TEMP

TMP=D:\TEMP

USERDOMAIN=HV_DE

USERNAME=vzell

USERPROFILE=D:\WINNT\Profiles\vzell.000

windir=D:\WINNT

Then I type bash in that window .....

[d:\vzell\gnuwin32\b18\user-tools]bash

Cygnus specific: 

----------------

Cygnus b18           (Unpacked from an NTFS drive --> worked)

Coolview 23.09.1997  

user-tools source    (Source unpacked with WinZip without CR/LF translation --> 

worked)

Mount table:

vzell:/src> mount

Device                Directory           Type        Flags

d:\vzell\gnuwin32\var /var                native      no-mixed,text=binary

d:\vzell\gnuwin32\usr /usr                native      no-mixed,text=binary

d:\vzell\gnuwin32\tmp /tmp                native      no-mixed,text=binary

d:\vzell\gnuwin32\b18\user-tools /src     native      no-mixed,text=binary

d:\vzell\gnuwin32\etc /etc                native      no-mixed,text=binary

\\.\tape1:       /dev/st1                 native      no-mixed,text!=binary

\\.\tape0:       /dev/st0                 native      no-mixed,text!=binary

\\.\b:           /dev/fd1                 native      no-mixed,text!=binary

\\.\a:           /dev/fd0                 native      no-mixed,text=binary

d:\vzell\gnuwin32\bin /bin                native      no-mixed,text=binary

d:                    /                   native      no-mixed,text=binary

_________________________________________________________________________

vzell:/bin> ls -lt

total 157

-rwxr-xr-x   1 vzell    admin      320512 Jul 04 21:00 sh.exe*

_________________________________________________________________________

vzell:~/gnuwin32/b18/H-i386-cygwin32/bin> ls -lt cygwin.dll bash.exe

-rw-r--r--   1 vzell    admin      572950 Sep 23 10:50 cygwin.dll

-rwxr-xr-x   1 vzell    admin      320512 Jul 04 21:00 bash.exe*

_________________________________________________________________________

vzell:~> ls -lt .bash*

-rw-r--r--   1 vzell    admin         433 Oct 04 12:22 .bash_history

-rw-r--r--   1 vzell    admin        2390 Oct 04 12:22 .bashrc

-rw-r--r--   1 vzell    admin        2267 Oct 03 15:09 .bash_functions

-rw-r--r--   1 vzell    admin        2215 Aug 29 04:04 .bashrc.18.ori

-rw-r--r--   1 vzell    admin          11 Feb 17  1997 .bash_aliases

-rw-r--r--   1 vzell    admin        1707 Feb 11  1997 .bashrc.ori

_________________________________________________________________________

My .bashrc:

# ~/.bashrc 

# executed by login and subshells

#----------------------------------------------------------------------

# Limit coredumps to zero bytes

# ulimit -c 0

#----------------------------------------------------------------------

# Other settings

umask 022

# Terminal definition ( can ONLY be ansi as thats the only 

# defined in the termcap file )

#export TERM=ansi

# Enable TTY code and console title updates

export CYGWIN_TTY=1

# other options: strip

export CYGWIN_TITLE=1

# Set up manpath

export MANPATH=/usr/man:/usr/local/man:/vzell/man

# Now your default shell is this

export SHELL=/bin/sh

# Set less to be our default pager

export PAGER="/vzell/bin/less"

# Tell less to use a character set appropriate for DOS 

# (that is really what we are running down there somewhere ;-) )

#export LESSCHARSET="dos"

#export LESS="-isnMC"

# Set IFS just because *shrug*

export IFS="@"

# If Bash is reading this you probably don't really need it here

export HOME=/vzell

# This will set up your Unixlike Path

export PATH=/bin:$PATH

# Specify your Login name

export LOGNAME=$(whoami)

# Place the Temporary Directory in the right spot

export TEMP=/tmp

export TMP=/tmp

# This sets the Bash Shell prompt to (username):#(working directory)

export PS1="$LOGNAME:\w> "

# Setup compiler enviroment

export TCL_LIBRARY=$HOME/gnuwin32/b18/tcl/lib/tcl7.6

export GDBTK_LIBRARY=$HOME/gnuwin32/b18/share/gdbtcl

export GCC_EXEC_PREFIX=$HOME/gnuwin32/b18/H-i386-cygwin32/lib/gcc-lib/

export LIBRARY_PATH=$HOME/gnuwin32/b18/H-i386-cygwin32/lib

export C_INCLUDE_PATH=

export CPLUS_INCLUDE_PATH=

#export LIBRARY_PATH=/usr/lib

#export C_INCLUDE_PATH=/usr/include:/usr/lib/gcc-lib/include

#export CPLUS__INCLUDE_PATH=/usr/lib/g++include

# Make file listings use color, add * to executables and / to directories

if [ "$TERM" = "dumb" ] ; then

	alias ls="ls --color -F"

	alias dir="dir --color -F"

	alias vdir="vdir --color -F"

else

	alias ls="ls -F"

	alias dir="dir -F"

	alias vdir="vdir -F"

fi

#alias cp="cp -i"

#alias mv="mv -i"

# Add some extra colors for ls to use when it colors the file types

export 

LS_COLORS="*.c=32:*.h=32:*.o=1;32:*.txt=1:*~=35:*.zip=1;31:*.z=1;31:*.Z=1;31:*.g

z=1;31:*.tgz=1;31:*.tar=31"

# This alias makes your HOME look right ;-)

alias ~=$HOME

source $HOME/.bash_functions

#----------------------------------------------------------------------

# end of ~/.bashrc 

_________________________________________________________________________

o Some other questions:

What does the following Permission denied mean ???

vzell:/> ls -lt

ls: pagefile.sys: Permission denied

total 293

drwxr-xr-x  99 vzell    admin           0 Oct 04 11:47 vzell/

drwxr-xr-x  58 vzell    everyone        0 Oct 04 11:02 temp/

drwxr-xr-x 177 vzell    everyone        0 Oct 04 10:07 WINNT/

drwxr-xr-x  34 vzell    everyone        0 Sep 18 20:19 Programme/

drwxr-xr-x  18 vzell    admin           0 Sep 18 19:03 mc/

drwxr-xr-x  20 vzell    admin           0 Sep 18 18:54 ORAWIN/

drwxr-xr-x  11 vzell    admin           0 Aug 29 10:34 users/

drwxr-xr-x  32 vzell    admin           0 Aug 09 18:59 ORANT/

drwxr-xr-x  94 vzell    admin           0 Aug 08 18:14 WWW/

drwxr-xr-x  17 vzell    admin           0 Aug 08 16:43 DATABASE/

drwxr-xr-x   5 vzell    admin           0 May 21 15:40 NAVISW/

-rw-r--r--   1 vzell    admin        4597 Feb 22  1997 __ofidx.ffa

-rw-r--r--   1 vzell    admin      548864 Feb 22  1997 __ofidx0.ffx

-rw-r--r--   1 vzell    admin       45056 Feb 22  1997 __ofidx.ffl

drwxr-xr-x   6 vzell    admin           0 Feb 21  1997 InetPub/

drwxr-xr-x  20 vzell    admin           0 Feb 19  1997 MSOffice/

drwxr-xr-x   5 vzell    admin           0 Feb 19  1997 RECYCLER/ 

Thanks in advance ...

  Ciao 

	Volker 

__________________________________________________________________________ 

   "Is a dream a lie if it don't come true or is it something worse .." 

                                                   Dr. Volker Zell 

      __ /  _  /  __  / ___/  /    ___/            -- Trainer -- 

     /  /  /__/  /_  / /     /    __/              Oracle Germany 

   ____/__/ _|__/ __/____/ ____/____/              Paul-Thomas-Str.58  

                                                   D-40599 Düsseldorf 

   e-Mail: [email-masked] 

   WWW:    http://trgsund4.de.oracle.com/ 

   Tel:    (+49) 211-74839-414                     Fax: (+49) 211-74839-44 

___________________________________________________________________________ 

The statements and opinions expressed here are my own and do not necessarily 

represent those of Oracle Corporation. 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".